# Dart Version Manager

## Contributions are highly appreciated

### All contributors will be granted credit on the following list

* educup ([@educup](https://github.com/educup))

You can help out by:

* Reporting a bug
* Reviewing the code
* Submitting a fix
* Proposing new features
* Becoming a maintainer

## Branches

We're using the following branches to manage work:

* `develop` is semi-stable and should be used as the branch to fork from
* `main` is stable and ready for prod (or it will be once we merge in the first release)
* `feature`, `bug` branches: unstable development

## How to report bugs

We use GitHub issues to track public bugs. Report a bug by [opening a new issue](https://github.com/educup/dart_version_manager/issues/new/choose); it's that easy!

### Write bug reports with detail, background, and sample code

**Great Bug Reports** tend to have:

* A quick summary and/or background
* Steps to reproduce
  * Be specific!
  * Give sample code if you can.
* What you expected to happen
* What actually happens
* Notes (possibly including why you think this might be happening, or stuff you tried that didn't work)

We <3 thorough bug reports.

## How to contribute code

We use GitHub to host code, to track issues and feature requests, as well as accept pull requests.

Pull requests are the best way to propose changes to the codebase. We use a loose version of Git Flow
and actively welcome your pull requests:

1. Create a new branch based on `develop`:
   * Feature branches should start with `feature/`
   * Bugfix branches should start with `bug/`
2. Implement your changes.
3. Add tests if applicable.
4. Make sure your code lints.
5. Issue that pull request!

### Any contributions you make will be under the MIT License

When you submit code changes, your submissions are understood to be under the same [MIT](LICENSE) that covers the project.
